[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# VarToStrDef

Convert a variant to string value, specifying a default

## Declaration

Source position: variants.pp line 87

`function VarToStrDef(`
`const V: Variant;`
`const ADefault: string`
`):string;`

## Arguments

`V` |  | Variant to convert
`ADefault` |  | Value to return if the variant equals Null

## Function result

The String representation of the variant value

## Description

VarToStr attempts to convert the variant V to a string. If the value is Null, the result is the specified aDefault string.

## See also

VarToStrDef |  | Convert a variant to string value, specifying a default
VarIsStr |  | Check if the variant is a string
VarToStr |  | Convert a variant to string value